Subject: Looks like --amend create commit... don't understand

From: mat <[email-masked]>
Date: Wed, 24 Feb 2010 22:27:32 +0100

Hi

Sorry for this question that might appear soo simple but I'm a little 
bit lost :-(

When editing my code, I like to --amend it a lot between bigger commits. 
But when looking on gitk, I see that
git commit blabla --amend

does create each and every time a new commit, I mean: with git log, 
there is only one commit, but on gitk, I see many, with the same name 
but different revision ID.... My understanding was that it would only 
replace, not create each time a new revision.. Could you please explain 
me where Iàm wrong and what is happening exactly?

Furthermore, if I wish to delete all those intermediary amend commit, 
can I do it? If yes, how?

Thanks a lot for this help!

Matthieu